﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Factory2.Buildings.Upgrades
{
    public class BuildingLaser : BuildingUpgradeDecorator
    {
        public override string Description
        {
            get { return string.Format("{0}, Laser", WrappedBuilding.Description); }
        }

        public override int Power
        {
            // A laser consumes an additional 100 power.
            get { return WrappedBuilding.Power + 100; }
        }

        public BuildingLaser(IBuilding wrappedBuilding) : base(wrappedBuilding) { }
    }
}
